## qtimageformats-opensource-src 5.15.15

=== src/plugins/imageformats/webp/CMakeLists.txt ===
# Generated from webp.pro.

#####################################################################
## QWebpPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWebpPlugin
    OUTPUT_NAME qwebp
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qwebphandler.cpp qwebphandler_p.h
    LIBRARIES
        Qt::Core
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:webp.pro:<TRUE>:
# OTHER_FILES = "webp.json"
# QT_FOR_CONFIG = "imageformats-private"

## Scopes:
#####################################################################

qt_internal_extend_target(QWebpPlugin CONDITION QT_FEATURE_system_webp
    LIBRARIES
        WrapWebP::WrapWebP
)

qt_internal_extend_target(QWebpPlugin CONDITION NOT QT_FEATURE_system_webp
    SOURCES
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_cpu.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_csp.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_dsp.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_gamma.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_sse2.c
        ../../../3rdparty/libwebp/src/dec/alpha_dec.c
        ../../../3rdparty/libwebp/src/dec/buffer_dec.c
        ../../../3rdparty/libwebp/src/dec/frame_dec.c
        ../../../3rdparty/libwebp/src/dec/idec_dec.c
        ../../../3rdparty/libwebp/src/dec/io_dec.c
        ../../../3rdparty/libwebp/src/dec/quant_dec.c
        ../../../3rdparty/libwebp/src/dec/tree_dec.c
        ../../../3rdparty/libwebp/src/dec/vp8_dec.c
        ../../../3rdparty/libwebp/src/dec/vp8l_dec.c
        ../../../3rdparty/libwebp/src/dec/webp_dec.c
        ../../../3rdparty/libwebp/src/demux/anim_decode.c
        ../../../3rdparty/libwebp/src/demux/demux.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_sse2.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_sse41.c
        ../../../3rdparty/libwebp/src/dsp/cost.c
        ../../../3rdparty/libwebp/src/dsp/cost_mips32.c
        ../../../3rdparty/libwebp/src/dsp/cost_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/cost_neon.c
        ../../../3rdparty/libwebp/src/dsp/cost_sse2.c
        ../../../3rdparty/libwebp/src/dsp/cpu.c
        ../../../3rdparty/libwebp/src/dsp/dec.c
        ../../../3rdparty/libwebp/src/dsp/dec_clip_tables.c
        ../../../3rdparty/libwebp/src/dsp/dec_mips32.c
        ../../../3rdparty/libwebp/src/dsp/dec_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/dec_msa.c
        ../../../3rdparty/libwebp/src/dsp/dec_sse2.c
        ../../../3rdparty/libwebp/src/dsp/dec_sse41.c
        ../../../3rdparty/libwebp/src/dsp/enc.c
        ../../../3rdparty/libwebp/src/dsp/enc_mips32.c
        ../../../3rdparty/libwebp/src/dsp/enc_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/enc_msa.c
        ../../../3rdparty/libwebp/src/dsp/enc_sse2.c
        ../../../3rdparty/libwebp/src/dsp/enc_sse41.c
        ../../../3rdparty/libwebp/src/dsp/filters.c
        ../../../3rdparty/libwebp/src/dsp/filters_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/filters_msa.c
        ../../../3rdparty/libwebp/src/dsp/filters_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_mips32.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_msa.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_sse41.c
        ../../../3rdparty/libwebp/src/dsp/lossless_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_sse41.c
        ../../../3rdparty/libwebp/src/dsp/rescaler.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_mips32.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_msa.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_sse2.c
        ../../../3rdparty/libwebp/src/dsp/ssim.c
        ../../../3rdparty/libwebp/src/dsp/ssim_sse2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_msa.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_sse2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_sse41.c
        ../../../3rdparty/libwebp/src/dsp/yuv.c
        ../../../3rdparty/libwebp/src/dsp/yuv_mips32.c
        ../../../3rdparty/libwebp/src/dsp/yuv_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/yuv_sse2.c
        ../../../3rdparty/libwebp/src/dsp/yuv_sse41.c
        ../../../3rdparty/libwebp/src/enc/alpha_enc.c
        ../../../3rdparty/libwebp/src/enc/analysis_enc.c
        ../../../3rdparty/libwebp/src/enc/backward_references_cost_enc.c
        ../../../3rdparty/libwebp/src/enc/backward_references_enc.c
        ../../../3rdparty/libwebp/src/enc/config_enc.c
        ../../../3rdparty/libwebp/src/enc/cost_enc.c
        ../../../3rdparty/libwebp/src/enc/filter_enc.c
        ../../../3rdparty/libwebp/src/enc/frame_enc.c
        ../../../3rdparty/libwebp/src/enc/histogram_enc.c
        ../../../3rdparty/libwebp/src/enc/iterator_enc.c
        ../../../3rdparty/libwebp/src/enc/near_lossless_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_csp_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_psnr_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_rescale_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_tools_enc.c
        ../../../3rdparty/libwebp/src/enc/predictor_enc.c
        ../../../3rdparty/libwebp/src/enc/quant_enc.c
        ../../../3rdparty/libwebp/src/enc/syntax_enc.c
        ../../../3rdparty/libwebp/src/enc/token_enc.c
        ../../../3rdparty/libwebp/src/enc/tree_enc.c
        ../../../3rdparty/libwebp/src/enc/vp8l_enc.c
        ../../../3rdparty/libwebp/src/enc/webp_enc.c
        ../../../3rdparty/libwebp/src/mux/anim_encode.c
        ../../../3rdparty/libwebp/src/mux/muxedit.c
        ../../../3rdparty/libwebp/src/mux/muxinternal.c
        ../../../3rdparty/libwebp/src/mux/muxread.c
        ../../../3rdparty/libwebp/src/utils/bit_reader_utils.c
        ../../../3rdparty/libwebp/src/utils/bit_writer_utils.c
        ../../../3rdparty/libwebp/src/utils/color_cache_utils.c
        ../../../3rdparty/libwebp/src/utils/filters_utils.c
        ../../../3rdparty/libwebp/src/utils/huffman_encode_utils.c
        ../../../3rdparty/libwebp/src/utils/huffman_utils.c
        ../../../3rdparty/libwebp/src/utils/quant_levels_dec_utils.c
        ../../../3rdparty/libwebp/src/utils/quant_levels_utils.c
        ../../../3rdparty/libwebp/src/utils/random_utils.c
        ../../../3rdparty/libwebp/src/utils/rescaler_utils.c
        ../../../3rdparty/libwebp/src/utils/thread_utils.c
        ../../../3rdparty/libwebp/src/utils/utils.c
    INCLUDE_DIRECTORIES
        ../../../3rdparty/libwebp
        ../../../3rdparty/libwebp/sharpyuv
        ../../../3rdparty/libwebp/src
        ../../../3rdparty/libwebp/src/dec
        ../../../3rdparty/libwebp/src/dsp
        ../../../3rdparty/libwebp/src/enc
        ../../../3rdparty/libwebp/src/mux
        ../../../3rdparty/libwebp/src/utils
        ../../../3rdparty/libwebp/src/webp
)

qt_internal_extend_target(QWebpPlugin CONDITION ANDROID AND NOT ANDROID_EMBEDDED AND NOT QT_FEATURE_system_webp
    SOURCES
        ${CMAKE_ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c   # special case
    INCLUDE_DIRECTORIES
        ${CMAKE_ANDROID_NDK}/sources/android/cpufeatures                  # special case
)

# special case begin
set(neon_sources
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_neon.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_neon.c
        ../../../3rdparty/libwebp/src/dsp/dec_neon.c
        ../../../3rdparty/libwebp/src/dsp/enc_neon.c
        ../../../3rdparty/libwebp/src/dsp/filters_neon.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_neon.c
        ../../../3rdparty/libwebp/src/dsp/lossless_neon.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_neon.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_neon.c
        ../../../3rdparty/libwebp/src/dsp/yuv_neon.c
)

if(NOT QT_FEATURE_system_webp)
    if(ANDROID)
        qt_internal_extend_target(QWebpPlugin
            CONDITION (CMAKE_ANDROID_ARM_NEON OR CMAKE_ANDROID_ARCH_ABI STREQUAL "arm64-v8a")
            SOURCES ${neon_sources}
        )
    else()
        # For universal macOS and iOS, and other platforms that support neon
        qt_internal_add_simd_part(QWebpPlugin SIMD neon SOURCES ${neon_sources})
    endif()
endif()
# special case end

#### Keys ignored in scope 6:.:../../../3rdparty:../../../3rdparty/libwebp.pri:INTEGRITY:
# QMAKE_CFLAGS = "-c99"

#### Keys ignored in scope 12:.:../../../3rdparty:../../../3rdparty/libwebp.pri:else:
# QMAKE_EXTRA_COMPILERS = "neon_comp"
# neon_comp.commands = "$$QMAKE_CC" "-c" "$(CFLAGS)" "$$QMAKE_CFLAGS_NEON" "$(INCPATH)" "${QMAKE_FILE_IN}"
# neon_comp.dependency_type = "TYPE_C"
# neon_comp.input = "SOURCES_FOR_NEON"
# neon_comp.name = "compiling[neon]" "${QMAKE_FILE_IN}"
# neon_comp.output = "${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${firstQMAKE_EXT_OBJ}"
# neon_comp.variable_out = "OBJECTS"

#### Keys ignored in scope 13:.:../../../3rdparty:../../../3rdparty/libwebp.pri:MSVC:
# neon_comp.commands = "-Fo${QMAKE_FILE_OUT}"

#### Keys ignored in scope 14:.:../../../3rdparty:../../../3rdparty/libwebp.pri:else:
# neon_comp.commands = "-o" "${QMAKE_FILE_OUT}"

#### Keys ignored in scope 15:.:../../../3rdparty:../../../3rdparty/libwebp.pri:silent:
# neon_comp.commands = "@echo" "compiling[neon]" "${QMAKE_FILE_IN}" "&&"

## qtimageformats-opensource-src 5.0.2

=== debian/changelog ===
qtimageformats-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 11 May 2013 16:14:53 -0300

=== debian/control ===
Source: qtimageformats-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               pkg-kde-tools,
               qt5-default,
               qtbase5-private-dev (>= 5.0.2~),
               libmng-dev,
               libtiff-dev
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtimageformats.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtimageformats.git;a=summary

Package: qt5-image-formats-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Image Formats module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for MNG, TGA, TIFF and WBMP
 image formats.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	qmake

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qtimageformats-opensource-src-([^-]*)\.tar.xz

## qtimageformats-opensource-src 5.2.0

=== debian/changelog ===
qtimageformats-opensource-src (5.2.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump qtbase build-dependency to 5.2.0+dfsg.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Dec 2013 19:55:44 -0300

qtimageformats-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
    - Tight Qt5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 16:28:52 -0300

qtimageformats-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Aug 2013 13:25:36 -0300

qtimageformats-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Bump Qt build dependencies to 5.1.0~.
  * Use QT_SELECT instead of build depending on qt5-default.
  * Fix watch file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 22:00:10 -0300

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qt5-default,
-               qtbase5-private-dev (>= 5.0.2~),
+               qtbase5-private-dev (>= 5.2.0+dfsg~),
                libmng-dev,
                libtiff-dev
 Standards-Version: 3.9.4

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export QT_SELECT := qt5
 
 %:
 	dh $@ --parallel

## qtimageformats-opensource-src 5.2.1

=== debian/changelog ===
qtimageformats-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies to 5.2.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 14 Feb 2014 12:01:59 -0300

qtimageformats-opensource-src (5.2.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Do not install the development stuff of the plugins.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Feb 2014 18:21:26 -0300

qtimageformats-opensource-src (5.2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix orthography in 5.1.1-1 changelog.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 15:50:45 -0300

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.0+dfsg~),
+               qtbase5-private-dev (>= 5.2.1+dfsg~),
                libmng-dev,
                libtiff-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtimageformats.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtimageformats.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,11 @@
 override_dh_auto_configure:
 	qmake
 
+override_dh_auto_install:
+	dh_auto_install
+	
+	# Remove the development stuff of the installed plugins
+	rm -rfv $(CURDIR)/debian/qt5-image-formats-plugins/usr/lib/*/cmake/
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtimageformats-opensource-src-([^-]*)\.tar.xz

## qtimageformats-opensource-src 5.3.0

=== debian/changelog ===
qtimageformats-opensource-src (5.3.0-4) unstable; urgency=medium

  * Disable tests until we finish the transition. Now we seem to have problem
    with libwebp on armel.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jun 2014 09:04:02 -0300

qtimageformats-opensource-src (5.3.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Backport Dmitry Shachnev's
    make_qwebphandler_write_work_on_big_endian_systems.patch to properly handle
    big endian machines.
  * Build depend upon libwebp >= 0.4.0-4.1~ to solve endianness bug that
    caused a FTBFS in s390x.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 23:46:02 -0300

qtimageformats-opensource-src (5.3.0-2) experimental; urgency=medium

  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 May 2014 12:42:35 -0300

qtimageformats-opensource-src (5.3.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Remove dh_builddeb override, xz is now the default compression method.
  * Run tests during build (based on a patch by Chris Gagnon).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Build depend upon libjasper-dev and libwebp-dev to avoid using the
    embedded copies.
  * Add libjasper, libmng, libtiff and libwebp's licenses to debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 May 2014 20:09:12 -0300

qtimageformats-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 21:55:11 -0300

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,14 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
+               libjasper-dev,
+               libmng-dev,
+               libtiff-dev,
+               libwebp-dev (>= 0.4.0-4.1~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.2.1+dfsg~),
-               libmng-dev,
-               libtiff-dev
+               qtbase5-private-dev (>= 5.3.0+dfsg~),
+               xauth,
+               xvfb
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtimageformats.git

## qtimageformats-opensource-src 5.3.1

=== debian/changelog ===
qtimageformats-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Remove make_qwebphandler_write_work_on_big_endian_systems.patch,
    applied upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 29 Jun 2014 16:40:13 -0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.0+dfsg~),
+               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
                xauth,
                xvfb
 Standards-Version: 3.9.5

## qtimageformats-opensource-src 5.3.2

=== debian/changelog ===
qtimageformats-opensource-src (5.3.2-2~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-bacports.
  * Remove libwebp-dev as a build dependency as the version in Wheezy is too
    old. I requested a backport in #764301.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Oct 2014 21:23:07 -0300

qtimageformats-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 00:15:57 -0300

qtimageformats-opensource-src (5.3.2-1) experimental; urgency=medium

  * New upstream release.
    - Removes undistributable files (Closes: #760172).
  * Bump Qt build dependencies.
  * Create fix_libmng_test.patch in order to use the system libmng.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 16 Sep 2014 15:53:34 -0300

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
                libjasper-dev,
                libmng-dev,
                libtiff-dev,
-               libwebp-dev (>= 0.4.0-4.1~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
                xauth,
                xvfb
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	qmake
+	qmake #QT_BUILD_PARTS+=tests
 
 override_dh_auto_install:
 	dh_auto_install
@@ -20,5 +20,5 @@
 	# Remove the development stuff of the installed plugins
 	rm -rfv $(CURDIR)/debian/qt5-image-formats-plugins/usr/lib/*/cmake/
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+#override_dh_auto_test:
+#	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins

## qtimageformats-opensource-src 5.4.1

=== debian/changelog ===
qtimageformats-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Build-depend on qtbase 5.4.1.
  * Bump year in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Feb 2015 11:10:59 +0300

qtimageformats-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix_libmng_test.patch, applied upstream.
  * Build-depend on qtbase 5.4.0.
  * Update debian/copyright.
  * Update Vcs-Browser field to point to cgit interface.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Dec 2014 21:28:11 +0300

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,22 @@
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libjasper-dev,
                libmng-dev,
                libtiff-dev,
+               libwebp-dev (>= 0.4.0-4.1~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtimageformats.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtimageformats.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtimageformats.git
 
 Package: qt5-image-formats-plugins
 Architecture: any

## qtimageformats-opensource-src 5.4.2

=== debian/changelog ===
qtimageformats-opensource-src (5.4.2-2build1) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 13 Jul 2015 16:53:16 +0300

qtimageformats-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 12:36:30 -0300

qtimageformats-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies to 5.4.2.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 18:22:45 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -16,7 +14,7 @@
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
                xauth,
                xvfb
 Standards-Version: 3.9.6

## qtimageformats-opensource-src 5.5.1

=== debian/changelog ===
qtimageformats-opensource-src (5.5.1-2build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 14:21:06 +0200

qtimageformats-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 15:34:47 -0300

qtimageformats-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Oct 2015 23:53:51 -0300

qtimageformats-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump qtbase5-private-dev build-dependency to 5.5.0.
  * Run the tests, but ignore the tests results for now.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 14:30:24 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
                xauth,
                xvfb
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	qmake #QT_BUILD_PARTS+=tests
+	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_install:
 	dh_auto_install
@@ -20,5 +20,5 @@
 	# Remove the development stuff of the installed plugins
 	rm -rfv $(CURDIR)/debian/qt5-image-formats-plugins/usr/lib/*/cmake/
 
-#override_dh_auto_test:
-#	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins
+override_dh_auto_test:
+	-xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtimageformats-opensource-src-([^-]*)\.tar.xz

## qtimageformats-opensource-src 5.6.1

=== debian/changelog ===
qtimageformats-opensource-src (5.6.1-2build3) yakkety; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 10 Aug 2016 11:53:38 +0300

qtimageformats-opensource-src (5.6.1-2build2) yakkety; urgency=medium

  * No-change rebuild against libwebp6

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 10 Aug 2016 09:32:58 +0100

qtimageformats-opensource-src (5.6.1-2build1~1) yakkety; urgency=medium

  * Rebuild against Qt 5.6.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 20 Jul 2016 09:44:44 +0300

qtimageformats-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 09:29:10 -0300

qtimageformats-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Jun 2016 20:49:45 -0300

qtimageformats-opensource-src (5.6.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Drop unused pkg-kde-tools build-dependency.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
    - Switch debian/watch back to the official releases.
  * Remove libjasper-dev from build-dependencies (Closes: #818209).
  * Switch to secure repos' URLs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Mar 2016 12:30:16 -0300

qtimageformats-opensource-src (5.6.0~beta-1) experimental; urgency=medium

  [ Diane Trout ]
  * New upstream release
    - Bump qtbase build-dependency to 5.6.0~beta.

  [ Dmitry Shachnev ]
  * Update debian/watch to track experimental releases (needs to be reverted
    before uploading 5.6.0 final).
  * Remove build-dependency on qtbase5-private-dev. The private qtbase headers
    are not used, so depending on qtbase5-dev is enough.
  * Run the tests without Xvfb, just set QT_QPA_PLATFORM=minimal.
  * Stop ignoring the tests failures (a bug in qtbase which prevented them from
    succeeding has been fixed in the last upload).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Jan 2016 21:46:05 +0300

=== debian/control ===
Source: qtimageformats-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               libmng-dev,
               libtiff-dev,
               libwebp-dev (>= 0.4.0-4.1~),
               qtbase5-dev (>= 5.6.1+dfsg-1~)
Standards-Version: 3.9.8
Homepage: http://qt-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtimageformats.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtimageformats.git

Package: qt5-image-formats-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Image Formats module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for MNG, TGA, TIFF and WBMP
 image formats.

## qtimageformats-opensource-src 5.7.1~20161021

=== debian/changelog ===
qtimageformats-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 08:58:30 -0300

qtimageformats-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Oct 2016 11:18:39 -0300

qtimageformats-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.7.0.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 11 Jul 2016 23:54:19 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtimageformats-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -13,7 +12,7 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.6.1+dfsg-1~)
+               qtbase5-dev (>= 5.7.1~20161021+dfsg~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtimageformats.git

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 	rm -rfv $(CURDIR)/debian/qt5-image-formats-plugins/usr/lib/*/cmake/
 
 override_dh_auto_test:
-	-xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins
+	QT_QPA_PLATFORM=minimal dh_auto_test

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtimageformats-opensource-src-(.*)\.tar\.xz

## qtimageformats-opensource-src 5.9.1

=== debian/changelog ===
qtimageformats-opensource-src (5.9.1-1) unstable; urgency=medium

  * Release to unstable.
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 21:18:24 -0300

qtimageformats-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Jun 2017 03:04:55 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.7.1~20161021+dfsg~)
+               qtbase5-dev (>= 5.9.1+dfsg~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtimageformats.git

## qtimageformats-opensource-src 5.9.5

=== debian/changelog ===
qtimageformats-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.9.5.
  * Switch Vcs-[Git Browser] to salsa.debian.org.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Apr 2018 12:24:47 +0300

qtimageformats-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 00:29:27 -0600

qtimageformats-opensource-src (5.9.2-2) unstable; urgency=medium

  * Let dh_auto_configure pass cross tools to qmake (Closes: #881691).
    Thanks Helmut Grohne for the patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 03 Dec 2017 13:24:12 -0300

qtimageformats-opensource-src (5.9.3-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 30 Nov 2017 22:29:04 -0600

qtimageformats-opensource-src (5.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.9.2.
  * Update to debhelper compat level 10.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 21:21:14 +0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: qtimageformats-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1),
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.9.1+dfsg~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.9.5+dfsg~)
+Standards-Version: 4.1.1
 Homepage: http://qt-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtimageformats.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtimageformats.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats
 
 Package: qt5-image-formats-plugins
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,10 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
 override_dh_auto_install:
 	dh_auto_install

## qtimageformats-opensource-src 5.11.1

=== debian/changelog ===
qtimageformats-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:31 -0500

qtimageformats-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump build dependencies to 5.11.1.
  * Fix insecure-copyright-format-uri.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Jun 2018 14:36:13 -0500

qtimageformats-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 16:58:19 -0300

qtimageformats-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Modify debian/watch to follow new upstream naming convention.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch Vcs-[Git Browser] to salsa.debian.org.
  * Switch to debhelper compat 11.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 10 Mar 2018 10:57:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: qtimageformats-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1),
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.9.5+dfsg~)
-Standards-Version: 4.1.1
+               qtbase5-dev (>= 5.11.1+dfsg~)
+Standards-Version: 4.1.4
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats

## qtimageformats-opensource-src 5.11.3

=== debian/changelog ===
qtimageformats-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Note that the previous upload fixes CVE-2018-19871: QImage: QTgaFile CPU
    exhaustion.
  * Upload to unstable.

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:14:59 -0300

qtimageformats-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 16:02:26 -0300

qtimageformats-opensource-src (5.11.2-2) unstable; urgency=medium

  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 21:53:53 +0300

qtimageformats-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.2, no changes needed.
  * Bump Qt dependency to 5.11.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Oct 2018 21:23:35 -0500

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1),
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.11.1+dfsg~)
-Standards-Version: 4.1.4
+               qtbase5-dev (>= 5.11.3+dfsg~)
+Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats

## qtimageformats-opensource-src 5.12.2

=== debian/changelog ===
qtimageformats-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.12.2.
  * Update debian/copyright.
  * Update Homepage URL.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 22:51:44 +0300

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.11.3+dfsg~)
+               qtbase5-dev (>= 5.12.2+dfsg~)
 Standards-Version: 4.3.0
-Homepage: http://qt-project.org/
+Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats

## qtimageformats-opensource-src 5.12.4

=== debian/changelog ===
qtimageformats-opensource-src (5.12.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.12.4.
  * Mention ICNS and WEBP in the package description.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Jun 2019 22:47:53 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.12.2+dfsg~)
+               qtbase5-dev (>= 5.12.4+dfsg~)
 Standards-Version: 4.3.0
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
@@ -28,5 +28,5 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains plugins for adding support for MNG, TGA, TIFF and WBMP
- image formats.
+ This package contains plugins for adding support for ICNS, MNG, TGA, TIFF,
+ WBMP and WEBP image formats.

## qtimageformats-opensource-src 5.12.5

=== debian/changelog ===
qtimageformats-opensource-src (5.12.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump qtbase5-dev build-dependency to 5.12.5.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:28:29 +0300

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.12.4+dfsg~)
-Standards-Version: 4.3.0
+               qtbase5-dev (>= 5.12.5+dfsg~)
+Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats

## qtimageformats-opensource-src 5.12.8

=== debian/changelog ===
qtimageformats-opensource-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump qtbase5-dev build-dependency to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 15:22:37 +0300

qtimageformats-opensource-src (5.12.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtimageformats-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -13,7 +14,7 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.12.5+dfsg~)
+               qtbase5-dev (>= 5.12.8+dfsg~)
 Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	
+
 	# Remove the development stuff of the installed plugins
 	rm -rfv $(CURDIR)/debian/qt5-image-formats-plugins/usr/lib/*/cmake/

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtimageformats-everywhere-src-(.*)\.tar\.xz

## qtimageformats-opensource-src 5.14.2

=== debian/changelog ===
qtimageformats-opensource-src (5.14.2-2) unstable; urgency=medium

  * Backport upstream patch to avoid unaligned access in WEBP decoder.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:27:26 +0300

qtimageformats-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Bump debhelper-compatibility to 13:
    - Switch debhelper build dependency to debhelper-compat 13.
    - Remove debian/compat.
  * Remove unneeded injection of linker flags.
  * Add Rules-Requires-Root field.
  * Add myself to uploaders.

 -- Patrick Franz <patfra71@gmail.com>  Wed, 13 May 2020 19:50:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: qtimageformats-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+           Simon Quigley <tsimonq2@debian.org>,
+           Patrick Franz <patfra71@gmail.com>
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1),
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.12.8+dfsg~)
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.14.2+dfsg~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats

## qtimageformats-opensource-src 5.15.1.2+dde

=== debian/changelog ===
qtimageformats-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 16:56:00 +0800

qtimageformats-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Remove align_icc_profile.diff as it is applied upstream.

 -- Patrick Franz <patfra71@gmail.com>  Sat, 12 Sep 2020 03:46:00 +0200
